> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cpt Code

> Get a specific CPT code by its code value.



## OpenAPI

````yaml get /medical-codes/cpt/{code}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /medical-codes/cpt/{code}:
    get:
      tags:
        - provider
        - medical-codes
      summary: Get Cpt Code
      description: Get a specific CPT code by its code value.
      operationId: get_cpt_code_medical_codes_cpt__code__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: code
          in: path
          required: true
          schema:
            type: string
            title: Code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CPTCode'
                  - type: 'null'
                title: Response Get Cpt Code Medical Codes Cpt  Code  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CPTCode:
      properties:
        code:
          type: string
          title: Code
        category1:
          anyOf:
            - type: string
            - type: 'null'
          title: Category1
        category2:
          anyOf:
            - type: string
            - type: 'null'
          title: Category2
        category3:
          anyOf:
            - type: string
            - type: 'null'
          title: Category3
        category4:
          anyOf:
            - type: string
            - type: 'null'
          title: Category4
        category5:
          anyOf:
            - type: string
            - type: 'null'
          title: Category5
        category6:
          anyOf:
            - type: string
            - type: 'null'
          title: Category6
        description:
          type: string
          title: Description
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - code
        - category1
        - category2
        - category3
        - category4
        - category5
        - category6
        - description
        - notes
      title: CPTCode
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````